org.apache.cassandra.cql3.functions

## Class UDFContextImpl

- java.lang.Object
- - org.apache.cassandra.cql3.functions.UDFContextImpl

All Implemented Interfaces:
  UDFContext

    public final class UDFContextImpl
    extends java.lang.Object
    implements UDFContext

Package private implementation of `UDFContext`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.datastax.driver.core.TupleValue` `newArgTupleValue(int argNum)` Creates a new `TupleValue` instance for an argument.
`com.datastax.driver.core.TupleValue` `newArgTupleValue(java.lang.String argName)` Creates a new `TupleValue` instance for an argument.
`com.datastax.driver.core.UDTValue` `newArgUDTValue(int argNum)` Creates a new `UDTValue` instance for an argument.
`com.datastax.driver.core.UDTValue` `newArgUDTValue(java.lang.String argName)` Creates a new `UDTValue` instance for an argument.
`com.datastax.driver.core.TupleValue` `newReturnTupleValue()` Creates a new `TupleValue` instance for the return value.
`com.datastax.driver.core.UDTValue` `newReturnUDTValue()` Creates a new `UDTValue` instance for the return value.
`com.datastax.driver.core.TupleValue` `newTupleValue(java.lang.String cqlDefinition)` Creates a new `TupleValue` instance for the CQL type definition.
`com.datastax.driver.core.UDTValue` `newUDTValue(java.lang.String udtName)` Creates a new `UDTValue` instance by name in the same keyspace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newArgUDTValue

    public com.datastax.driver.core.UDTValue newArgUDTValue(java.lang.String argName)

Description copied from interface: `UDFContext`
Creates a new `UDTValue` instance for an argument.

Specified by:
  `newArgUDTValue` in interface `UDFContext`
Parameters:
  `argName` - name of the argument as declared in the `CREATE FUNCTION` statement
Returns:
  a new `UDTValue` instance

#### newArgUDTValue

    public com.datastax.driver.core.UDTValue newArgUDTValue(int argNum)

Description copied from interface: `UDFContext`
Creates a new `UDTValue` instance for an argument.

Specified by:
  `newArgUDTValue` in interface `UDFContext`
Parameters:
  `argNum` - zero-based index of the argument as declared in the `CREATE FUNCTION` statement
Returns:
  a new `UDTValue` instance

#### newReturnUDTValue

    public com.datastax.driver.core.UDTValue newReturnUDTValue()

Description copied from interface: `UDFContext`
Creates a new `UDTValue` instance for the return value.

Specified by:
  `newReturnUDTValue` in interface `UDFContext`
Returns:
  a new `UDTValue` instance

#### newUDTValue

    public com.datastax.driver.core.UDTValue newUDTValue(java.lang.String udtName)

Description copied from interface: `UDFContext`
Creates a new `UDTValue` instance by name in the same keyspace.

Specified by:
  `newUDTValue` in interface `UDFContext`
Parameters:
  `udtName` - name of the user defined type in the same keyspace as the function
Returns:
  a new `UDTValue` instance

#### newArgTupleValue

    public com.datastax.driver.core.TupleValue newArgTupleValue(java.lang.String argName)

Description copied from interface: `UDFContext`
Creates a new `TupleValue` instance for an argument.

Specified by:
  `newArgTupleValue` in interface `UDFContext`
Parameters:
  `argName` - name of the argument as declared in the `CREATE FUNCTION` statement
Returns:
  a new `TupleValue` instance

#### newArgTupleValue

    public com.datastax.driver.core.TupleValue newArgTupleValue(int argNum)

Description copied from interface: `UDFContext`
Creates a new `TupleValue` instance for an argument.

Specified by:
  `newArgTupleValue` in interface `UDFContext`
Parameters:
  `argNum` - zero-based index of the argument as declared in the `CREATE FUNCTION` statement
Returns:
  a new `TupleValue` instance

#### newReturnTupleValue

    public com.datastax.driver.core.TupleValue newReturnTupleValue()

Description copied from interface: `UDFContext`
Creates a new `TupleValue` instance for the return value.

Specified by:
  `newReturnTupleValue` in interface `UDFContext`
Returns:
  a new `TupleValue` instance

#### newTupleValue

    public com.datastax.driver.core.TupleValue newTupleValue(java.lang.String cqlDefinition)

Description copied from interface: `UDFContext`
Creates a new `TupleValue` instance for the CQL type definition.

Specified by:
  `newTupleValue` in interface `UDFContext`
Parameters:
  `cqlDefinition` - CQL tuple type definition like `tuple<int, text, bigint>`
Returns:
  a new `TupleValue` instance